-- P5-3704 Remove state from non US orders

-- Remove state (235) values when countryCode (151) is not US
DELETE FROM "order-orders_fields"
WHERE fieldid = 235 AND orderid IN (
    SELECT orders.orderid FROM "order-orders" orders
    JOIN "order-orders_fields" countryCode ON countryCode.fieldid = 151 AND countryCode.orderid = orders.orderid
    WHERE countryCode.value != 'US'
);

-- Remove delivery-state (242) values when delivery-countryCode (213) is not US
DELETE FROM "order-orders_fields"
WHERE fieldid = 242 AND orderid IN (
    SELECT orderid FROM "order-orders_fields" WHERE fieldid = 213 AND value != 'US'
);
